import "./tasks.css";
import Task from "../task";

function Tasks({ tasklist, deleted, remainder }) {
  return (
    <div className="tasklist">
      {tasklist.length > 0 &&
        tasklist.map(({ id, title, isCompleted }) => (
          <Task
            key={id}
            id={id}
            title={title}
            isCompleted={isCompleted}
            onChange={() => remainder(id)}
            onDelete={() => deleted(id)}
          />
        ))}
    </div>
  );
}

export default Tasks;
